Skip to main content
GET
/
v1
/
counterparties
/
{id}
Get a Counterparty by ID
curl --request GET \
  --url https://api.bookeeping.ai/public-api/v1/counterparties/{id} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "metaData": {
    "warnings": [
      "<string>"
    ]
  },
  "data": {
    "_id": "<string>",
    "projectId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "accountName": "<string>",
    "accountNumber": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "otherEmails": [
      "jsmith@example.com"
    ],
    "type": "customer",
    "taxId": "<string>",
    "address": {}
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Get your key from the Dashboard > Settings > API Access.

Path Parameters

id
string
required

The id of the counterparty. Expected to be a valid object id like 666666666666666666666666

Response

Get a Counterparty by ID executed successfully

message
string

Success message

metaData
object
data
object